develooper Front page | perl.perl5.changes | Postings from March 2018

[perl.git] branch blead updated. v5.27.9-125-g27484e0e6e

From:
Craig A. Berry
Date:
March 8, 2018 14:08
Subject:
[perl.git] branch blead updated. v5.27.9-125-g27484e0e6e
Message ID:
E1etwE0-0008OD-0M@git.dc.perl.space
In perl.git, the branch blead has been updated

<https://perl5.git.perl.org/perl.git/commitdiff/27484e0e6e695cabec847a8d0ffcb71431ca6f11?hp=823ba440369100de3f2693420a3887a645a57d28>

- Log -----------------------------------------------------------------
commit 27484e0e6e695cabec847a8d0ffcb71431ca6f11
Author: Craig A. Berry <craigberry@mac.com>
Date:   Thu Mar 8 07:50:33 2018 -0600

    Don't run stack_after_err.t on VMS.
    
    It uses IPC::Open3, which uses fork(), which doesn't exist.

-----------------------------------------------------------------------

Summary of changes:
 dist/Carp/t/stack_after_err.t | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/dist/Carp/t/stack_after_err.t b/dist/Carp/t/stack_after_err.t
index 0e7a30acbc..57dbc233d1 100644
--- a/dist/Carp/t/stack_after_err.t
+++ b/dist/Carp/t/stack_after_err.t
@@ -3,8 +3,12 @@ use warnings;
 use Config;
 use IPC::Open3 1.0103 qw(open3);
 
-
-
+BEGIN {
+    if ($^O eq 'VMS') {
+        print "1..0 # IPC::Open3 needs porting\n";
+        exit;
+    }
+}
 
 my @tests=(
     # Make sure we don’t try to load modules on demand in the presence of over-

-- 
Perl5 Master Repository



nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About